package sgc.portal.cw.cw0631.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0631.model.CW06310001U;
import sgc.portal.cw.cw0631.dto.CW06310001USearch;
import sgc.portal.cw.cw0631.service.CW06310001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0631")
public class CW06310001UController {
    private final CW06310001UService service;

    public CW06310001UController(CW06310001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06310001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06310001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW06310001U/save")
    public Map<String, String> update(@RequestBody List<CW06310001U> CW06310001U) {
    	return service.save(CW06310001U);
    }
    
    @PostMapping("/CW06310001U/conf")
    public Map<String, String> updateConf(@RequestBody List<CW06310001U> CW06310001U) {
    	return service.updateConf(CW06310001U);
    }
    
    @PostMapping("/CW06310001U/return")
    public Map<String, String> updateReturn(@RequestBody List<CW06310001U> CW06310001U) {
    	return service.updateReturn(CW06310001U);
    }
    
    
}
